> For the complete documentation index, see [llms.txt](https://docs.vodlix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vodlix.com/developer-guide/api-documentation/device-management.md).

# Device Management

### Introduction

Welcome to the Device Management documentation! This documentation provides detailed information and guidance on managing devices within your system. Whether you need to add new devices, update their activity, or perform device checks, this documentation will guide you through the necessary API routes and parameters.

**Important Note:**

If the value of `device_management` is set to 1, which means that the system is enabled. This configuration is obtained from the server at the endpoint `/api/base/configs`. The system will remain enabled until you explicitly disable it.

On the other hand, if the value of `device_management` is anything other than 1, the system is considered disabled.

To provide a seamless user experience, it is essential to handle the error message display only when the `device_banned` status code is received. In all other cases, no error code should impact the user experience. Prioritizing a smooth user interaction, ensure that unnecessary interruptions or error messages for non-banned devices are avoided.

Furthermore, to maintain an uninterrupted user experience, it is recommended to verify that the device has an active internet connection before sending these requests. If the internet is not connected, refrain from sending these requests to prevent any adverse effects on the user experience.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vodlix.com/developer-guide/api-documentation/device-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
